Ticket #41309

3.0.0.1: cases of _ptr in English messages

Open Date: 2021-01-22 10:05 Last Update: 2021-01-24 11:15

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
Priority:
1 - Lowest
Severity:
1 - Lowest
Resolution:
Fixed
File:
None

Details

I found three instances where "_ptr" was left in an English message:

  • In a prompt for item selection from the floor, the message has "- for item_selection_ptr->floor".
  • In two prompts for selecting something to throw, the message has "Throw which it_ptr->item".

The english_message_with_ptr branch on the hengbandforosx project, https://osdn.net/projects/hengbandforosx/scm/git/hengbandosx/commits?branch=english_message_with_ptr , has two commits , https://osdn.net/projects/hengbandforosx/scm/git/hengbandosx/commits/0f070e506d1f9460dc1690263094aeabf88ce342 and https://osdn.net/projects/hengbandforosx/scm/git/hengbandosx/commits/52fae5830bbd9001390a4dd782721b0f7fd07f73 , which change those messages to what they looked like in the 2.2.1.7 source code.

Ticket History (3/5 Histories)

2021-01-22 10:05 Updated by: backwardseric
  • New Ticket "3.0.0.1: cases of _ptr in English messages" created
2021-01-22 22:13 Updated by: deskull
Comment

Thanks.

2021-01-23 11:47 Updated by: hourier
  • Owner Update from deskull to hourier
  • Resolution Update from None to Accepted
2021-01-23 12:53 Updated by: hourier
  • Owner Update from hourier to deskull
  • Resolution Update from Accepted to Fixed
Comment

修正しました
ブランチfeature/Fix-English-Bugs にpush予定です

2021-01-24 11:15 Updated by: deskull
  • Status Update from Open to Closed
  • Owner Update from deskull to hourier
Comment

他件と含めてマージ完了。

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login